import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  firstName: SortOrderSchema.optional(),
  lastName: SortOrderSchema.optional(),
  dateOfBirth: SortOrderSchema.optional(),
  gender: SortOrderSchema.optional(),
  phone: SortOrderSchema.optional(),
  email: SortOrderSchema.optional(),
  address: SortOrderSchema.optional(),
  city: SortOrderSchema.optional(),
  zipCode: SortOrderSchema.optional(),
  insuranceProvider: SortOrderSchema.optional(),
  insuranceId: SortOrderSchema.optional(),
  groupNumber: SortOrderSchema.optional(),
  policyHolder: SortOrderSchema.optional(),
  allergies: SortOrderSchema.optional(),
  medicalConditions: SortOrderSchema.optional(),
  preferredLanguage: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional()
}).strict();
export const PatientMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PatientMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientMaxOrderByAggregateInput>;
export const PatientMaxOrderByAggregateInputObjectZodSchema = makeSchema();
